Bug 437130 - RFE: rpm doesn't distinguish non changed config files
RFE: rpm doesn't distinguish non changed config files
Status: CLOSED DUPLICATE of bug 426258
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 11:43 EDT by Alexander Todorov
Modified: 2008-06-03 04:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 04:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-03-12 11:43:17 EDT
Description of problem:
While updating my system I have:

Updating  : samba-common                                       [301/993]
warning: /etc/samba/lmhosts created as /etc/samba/lmhosts.rpmnew

That is a valid use case but only when the config files differ. Comparing the
files with diff shows no differences. They are the same.

Version-Release number of selected component (if applicable):
rpm-4.4.2-47.el5

How reproducible:
100%

Steps to Reproduce:
1. Install some package that contains configuration files (e.g. samba)
2. Don't do any changes in the config files
3. Update the package to the new version
4. Compare the config files which were created as .rpmnew to the old ones.
  
Actual results:
There are warnings for every possible config file regardless of the fact that it
changed ot not.

Expected results:
Warnings and .rpmnew files only for files that actually differ. If not differ
then silently overwrite.

Additional info:
That request adds extra overhead but IMO that's what rpm should really do.
Examine diffs and then decide how to handle config files. As of now the system
administrator will need to examine all .rpmnew files manually to see if there's
really something that changed compared to files previously on the system.
Comment 1 Panu Matilainen 2008-03-12 12:00:57 EDT
This is basically a subset of bug 426258 - the .rpmnew/.rpmsave spew is by far
the worst on multilib systems but some cases happen on non-multilib too. In
other words, fixing bug 426258 will fix this too so it's kind of a duplicate.
Comment 2 RHEL Product and Program Management 2008-06-02 16:14:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Note You need to log in before you can comment on or make changes to this bug.